gdcm::BitmapToBitmapFilter Class Reference

BitmapToBitmapFilter class. More...

`#include <gdcmBitmapToBitmapFilter.h>`

Inheritance diagram for gdcm::BitmapToBitmapFilter:
[legend]
Collaboration diagram for gdcm::BitmapToBitmapFilter:
[legend]

## Public Member Functions

| BitmapToBitmapFilter ()
| ~BitmapToBitmapFilter ()=default
const Bitmap & | GetOutput () const
| Get Output image.
const Bitmap & | GetOutputAsBitmap () const
void | SetInput (const Bitmap &image)
| Set input image.

## Protected Attributes

SmartPointer< Bitmap > | Input
SmartPointer< Bitmap > | Output

## Detailed Description

BitmapToBitmapFilter class.

Super class for all filter taking an image and producing an output image

## Constructor & Destructor Documentation

## BitmapToBitmapFilter()

gdcm::BitmapToBitmapFilter::BitmapToBitmapFilter | ( |  | ) |

## ~BitmapToBitmapFilter()

gdcm::BitmapToBitmapFilter::~BitmapToBitmapFilter | ( |  | ) |

default

## Member Function Documentation

## GetOutput()

const Bitmap & gdcm::BitmapToBitmapFilter::GetOutput | ( |  | ) | const

inline

Get Output image.

References Output.

## GetOutputAsBitmap()

const Bitmap & gdcm::BitmapToBitmapFilter::GetOutputAsBitmap | ( |  | ) | const

## SetInput()

void gdcm::BitmapToBitmapFilter::SetInput | ( | const Bitmap & | image | ) |

Set input image.

Examples
  BasicImageAnonymizer.cs, CompressImage.cxx, CompressLossyJPEG.cs, and StandardizeFiles.cs.

## Member Data Documentation

## Input

SmartPointer<Bitmap> gdcm::BitmapToBitmapFilter::Input

protected

## Output

SmartPointer<Bitmap> gdcm::BitmapToBitmapFilter::Output

protected

Referenced by GetOutput().

The documentation for this class was generated from the following file:

- gdcmBitmapToBitmapFilter.h